RagTime5Pipeline Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5Pipeline Class Reference

the main class to read the text part of RagTime 56 file More...

`#include <RagTime5Pipeline.hxx>`

## Public Member Functions
| RagTime5Pipeline (RagTime5Parser &parser)
| constructor More...
virtual | ~RagTime5Pipeline ()
| destructor More...
int | version () const
| returns the file version More...

## Protected Member Functions
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
shared_ptr< RagTime5ClusterManager::Cluster > | readPipelineCluster (RagTime5Zone &zone, int zoneType)
| try to read a pipeline cluster More...
RagTime5ClusterManager::Cluster::Type | getContainerType (int pipelineId) const
| try to return the container's type corresponding to an id More...
bool | send (int pipelineId, MWAWListenerPtr listener, MWAWPosition const &pos, int partId=0)
| try to send the container corresponding to pipelineId (mainly unimplemented) More...

## Protected Attributes
RagTime5Parser & | m_mainParser
| the parser More...
shared_ptr< RagTime5StructManager > | m_structManager
| the structure manager More...
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< RagTime5PipelineInternal::State > | m_state
| the state More...

## Private Member Functions
| RagTime5Pipeline (RagTime5Pipeline const &orig)
RagTime5Pipeline & | operator= (RagTime5Pipeline const &orig)

## Friends
class | RagTime5Parser

## Detailed Description

the main class to read the text part of RagTime 56 file

## Constructor & Destructor Documentation

RagTime5Pipeline::RagTime5Pipeline | ( | RagTime5Parser & | parser | ) |
| explicit

constructor

RagTime5Pipeline::~RagTime5Pipeline | ( |  | ) |
| virtual

destructor

RagTime5Pipeline::RagTime5Pipeline | ( | RagTime5Pipeline const & | orig | ) |
| private

## Member Function Documentation

void RagTime5Pipeline::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

RagTime5ClusterManager::Cluster::Type RagTime5Pipeline::getContainerType | ( | int | pipelineId | ) | const
| protected

try to return the container's type corresponding to an id

RagTime5Pipeline& RagTime5Pipeline::operator= | ( | RagTime5Pipeline const & | orig | ) |
| private

shared_ptr< RagTime5ClusterManager::Cluster > RagTime5Pipeline::readPipelineCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType
| ) |  |
| protected

try to read a pipeline cluster

bool RagTime5Pipeline::send | ( | int | pipelineId,
|  | MWAWListenerPtr | listener,
|  | MWAWPosition const & | pos,
|  | int | partId = `0`
| ) |  |
| protected

try to send the container corresponding to pipelineId (mainly unimplemented)

int RagTime5Pipeline::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class RagTime5Parser
| friend

## Member Data Documentation

RagTime5Parser& RagTime5Pipeline::m_mainParser
| protected

the parser

Referenced by getContainerType(), readPipelineCluster(), and send().

MWAWParserStatePtr RagTime5Pipeline::m_parserState
| protected

the parser state

Referenced by version().

shared_ptr<RagTime5PipelineInternal::State> RagTime5Pipeline::m_state
| protected

the state

Referenced by getContainerType(), readPipelineCluster(), and send().

shared_ptr<RagTime5StructManager> RagTime5Pipeline::m_structManager
| protected

the structure manager

The documentation for this class was generated from the following files:

- RagTime5Pipeline.hxx
- RagTime5Pipeline.cxx